Bug 21320 - leaks of PropertyNameArrayData seen on buildbot
: leaks of PropertyNameArrayData seen on buildbot
Status: RESOLVED FIXED
: WebKit
JavaScriptCore
: 528+ (Nightly build)
: Macintosh Mac OS X 10.5
: P1 Normal
Assigned To:
:
:
:
: 21513
  Show dependency treegraph
 
Reported: 2008-10-02 16:09 PST by
Modified: 2008-10-13 16:03 PST (History)


Attachments
patch (3.29 KB, patch)
2008-10-04 14:32 PST, Sam Weinig
oliver: review+
Review Patch | Details | Formatted Diff | Diff


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2008-10-02 16:09:10 PST
StructureID holds a RefPtr to PropertyNameArrayData, and vice-versa. That's the leak.

Sam mentioned that PropertyNameArrayData's pointer could be a weak pointer instead, cleared in the StructureID destructor.
------- Comment #1 From 2008-10-04 14:32:18 PST -------
Created an attachment (id=24092) [details]
patch
------- Comment #2 From 2008-10-04 14:44:31 PST -------
(From update of attachment 24092 [details])
r=me -- test case?
------- Comment #3 From 2008-10-04 14:59:16 PST -------
Fixed in r37300.